Name:           libxcm
Version:        0.5.2
Release:        %mkrel 2

%define major 0
%define	libname		%mklibname xcm %{major}
%define develname	%mklibname xcm -d


Summary:        X Color Management Library
Group:          System/Libraries
License:        MIT
URL:            http://www.oyranos.org
Source0:        http://downloads.sourceforge.net/oyranos/%{name}-%{version}.tar.xz
BuildRequires: x11-util-macros
BuildRequires: autoconf automake libtool
BuildRequires:  doxygen
BuildRequires:  graphviz
BuildRequires:  libxfixes-devel
BuildRequires:  libxmu-devel
BuildRequires:  x11-proto-devel
BuildRequires:  x11-xtrans-devel


%description
The libXcm library is a reference implementation of the net-color spec.
It allows to attach color regions to X windows to communicate with color
servers.

%package -n	%{libname}
Summary:	Main library for %{name}
Group:		System/Libraries
Obsoletes:	%{name} < %version
Provides:	%{name} = %version-%release

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with %{name}


%package -n     %{develname}
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       libx11-devel
Requires:       x11-proto-devel
Provides:	%{name}-devel = %version-%release

%description -n     %{develname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
CFLAGS="$RPM_OPT_FLAGS -fPIC"

%configure2_5x \
 --disable-static \
 --enable-shared

%make 


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std 

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig


%postun
/sbin/ldconfig


%files -n	%{libname}
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README
%{_libdir}/*.so.*

%files -n     %{develname}
%defattr(-,root,root,-)
%doc docs/*.txt
%dir %{_includedir}/X11/Xcm
%{_includedir}/X11/Xcm/*.h
%{_libdir}/*.so
%{_datadir}/cmake/Modules/FindXcm.cmake
%{_libdir}/pkgconfig/xcm.pc
%{_mandir}/man3/*.3.*


%changelog
* Sat Nov 18 2017 bb2 <bb2> - 0.5.2-2pclos2017
- rebuild against updates

* Sun Mar 26 2017 bb2 <bb2> - 0.5.2-1.1pclos2017
- rebuilt

